Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd (revision 142)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd (revision 146)
@@ -22,72 +22,4 @@
 	<!--UNUSED: Deleted type attgrp_objectUid. Contents copied where needed.-->
 	<!--UNUSED: Deleted type attgrp_uid. Contents copied where needed.-->
-	<!-- ADDED 07/02-2011 -->
-	<!-- Header -->
-	<xsd:complexType name="reportHeader">
-		<xsd:annotation>
-			<xsd:documentation>Information about this report.</xsd:documentation>
-		</xsd:annotation>
-		<xsd:complexContent>
-			<xsd:extension base="abs:abstractObject">
-				<xsd:sequence>
-					<xsd:element name="periodOfOperation" type="witsml:descriptionString" minOccurs="0" maxOccurs="1">
-						<xsd:annotation>
-							<xsd:documentation>Period of operation.</xsd:documentation>
-						</xsd:annotation>
-					</xsd:element>
-					<xsd:element name="reportNo" type="witsml:positiveCount" minOccurs="0" maxOccurs="1">
-						<xsd:annotation>
-							<xsd:documentation>Sequence number of daily drilling report.</xsd:documentation>
-						</xsd:annotation>
-					</xsd:element>
-					<xsd:element name="tightWell" type="witsml:logicalBoolean" minOccurs="0" maxOccurs="1">
-						<xsd:annotation>
-							<xsd:documentation>Indicates if a well is tight or not.</xsd:documentation>
-						</xsd:annotation>
-					</xsd:element>
-					<xsd:element name="hpht" type="witsml:logicalBoolean" minOccurs="0" maxOccurs="1">
-						<xsd:annotation>
-							<xsd:documentation>Indicates if a wellbore is classified as HPHT (High Pressure - High Temperature) or not.</xsd:documentation>
-						</xsd:annotation>
-					</xsd:element>
-					<xsd:element name="avgPresBH" type="witsml:pressureMeasurePsig" minOccurs="0" maxOccurs="1">
-						<xsd:annotation>
-							<xsd:documentation>Averagae bottomhole pressure (psig).</xsd:documentation>
-						</xsd:annotation>
-					</xsd:element>
-					<xsd:element name="expTempBH" type="witsml:thermodynamicTemperatureMeasureCelsius" minOccurs="0"
-						 maxOccurs="1">
-						<xsd:annotation>
-							<xsd:documentation>A bottomhole temperature that is the expected bottomhole temperature (c).</xsd:documentation>
-						</xsd:annotation>
-					</xsd:element>
-					<xsd:element name="rigType" type="witsml:rigTypes" minOccurs="0" maxOccurs="1">
-						<xsd:annotation>
-							<xsd:documentation>A daily drilling report class that classifies rig types.</xsd:documentation>
-						</xsd:annotation>
-					</xsd:element>
-				</xsd:sequence>
-			</xsd:extension>
-		</xsd:complexContent>
-	</xsd:complexType>
-	<!-- Rig types -->
-	<xsd:simpleType name="rigTypes">
-		<xsd:annotation>
-			<xsd:documentation>The classification of rig types.</xsd:documentation>
-		</xsd:annotation>
-		<xsd:restriction base="witsml:abstractTypeEnum">
-			<xsd:enumeration value="Fixed rig">
-				<xsd:annotation>
-					<xsd:documentation>Fixed rig</xsd:documentation>
-				</xsd:annotation>
-			</xsd:enumeration>
-			<xsd:enumeration value="Movable rig">
-				<xsd:annotation>
-					<xsd:documentation>Movable rig</xsd:documentation>
-				</xsd:annotation>
-			</xsd:enumeration>
-		</xsd:restriction>
-	</xsd:simpleType>
-	<!-- END ADDED 07/02-2011 -->
 	<xsd:complexType name="cs_activity">
 		<xsd:annotation>
@@ -145,5 +77,4 @@
 				</xsd:annotation>
 			</xsd:element>
-			<!-- Added 07/02 - 2011 -->
 			<xsd:element name="mdHoleStart" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
@@ -156,5 +87,4 @@
 				</xsd:annotation>
 			</xsd:element>
-			<!-- END Added 07/02 - 2011 -->
 			<!--PROFILE: Deleted element detailActivity.-->
 			<!--PROFILE: Deleted element typeActivityClass.-->
@@ -228,5 +158,4 @@
 	<!--UNUSED: Deleted type cs_axisDefinition.-->
 	<!--UNUSED: Deleted type cs_bend.-->
-	<!-- Added/Changed 22/02 - 2011 -->
 	<xsd:complexType name="cs_bitRecord">
 		<xsd:annotation>
@@ -259,10 +188,8 @@
 				</xsd:annotation>
 			</xsd:element>
-			<!--PROFILE: Deleted element serialNo.
-			Missing: Added element serialNo-->
 			<xsd:element name="dullGrade" type="witsml:str32" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
 					<xsd:documentation>Dull grade according to IADC?</xsd:documentation>
-					<!-- Missing: Added element dullGrade -->
+					<!-- PROFILE: Added element dullGrade -->
 				</xsd:annotation>
 			</xsd:element>
@@ -301,4 +228,5 @@
 		</xsd:attribute>
 	</xsd:complexType>
+
 	<xsd:complexType name="cs_drillingParams">
 		<xsd:annotation>
@@ -355,4 +283,5 @@
 			<!--PROFILE: Deleted element rpmAvDh.-->
 			<xsd:element name="ropAv" type="witsml:velocityMeasureMetresPerHour" minOccurs="0" maxOccurs="1">
+				<!-- PROFILE: Changed type from witsml:velocityMeasure to witsml:velocityMeasureMetresPerHour for element ropAv-->
 				<xsd:annotation>
 					<xsd:documentation>Average rate of penetration through Interval.</xsd:documentation>
@@ -360,4 +289,5 @@
 			</xsd:element>
 			<xsd:element name="ropMx" type="witsml:velocityMeasureMetresPerHour" minOccurs="0" maxOccurs="1">
+				<!-- PROFILE: Changed type from witsml:velocityMeasure to witsml:velocityMeasureMetresPerHour for element ropMx-->
 				<xsd:annotation>
 					<xsd:documentation>Maximum rate of penetration through Interval.</xsd:documentation>
@@ -383,25 +313,25 @@
 			<!--PROFILE: Deleted element extensionNameValue.-->
 			<xsd:element name="mdHoleMadeRun" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1">
+				<!-- PROFILE: Added element mdHoleMadeRun. -->
 				<xsd:annotation>
 					<xsd:documentation>Measured depth of hole made current run.</xsd:documentation>
-					<!-- Missing: Added element mdHoleMadeRun. -->
 				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="hrsDrilledRun" type="witsml:timeMeasureHour" minOccurs="0" maxOccurs="1">
+				<!-- PROFILE: Added element hrsDrilledRun. -->
 				<xsd:annotation>
 					<xsd:documentation>Hours used on current run.</xsd:documentation>
-					<!-- Missing: Added element hrsDrilledRun. -->
 				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="mdTotHoleMade" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1">
+				<!-- PROFILE: Added element mdTotHoleMade. -->
 				<xsd:annotation>
 					<xsd:documentation>Measured depth made totally.</xsd:documentation>
-					<!-- Missing: Added element mdTotHoleMade. -->
 				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="totHrsDrilled" type="witsml:timeMeasureHour" minOccurs="0" maxOccurs="1">
+				<!-- PROFILE: Added element totHrsDrilled. -->
 				<xsd:annotation>
 					<xsd:documentation>Hours drilled totally.</xsd:documentation>
-					<!-- Missing: Added element totHrsDrilled. -->
 				</xsd:annotation>
 			</xsd:element>
@@ -409,6 +339,5 @@
 		<!--Unused: Deleted element attgrp_uid. -->
 	</xsd:complexType>
-	<!-- END Added/Changed 22/02 - 2011 -->
-	<!-- Added 07/02 - 2011 -->
+
 	<!-- Cement job -->
 	<xsd:complexType name="cs_cementStage">
@@ -417,8 +346,7 @@
 		</xsd:annotation>
 		<xsd:sequence minOccurs="0">
-			<!-- Profile: Deleted element numStage -->
-			<!-- Profile: Deleted element typeStage -->
-			<!-- Profile: Deleted element dTimMixStart -->
-
+			<!-- PROFILE: Deleted element numStage -->
+			<!-- PROFILE: Deleted element typeStage -->
+			<!-- PROFILE: Deleted element dTimMixStart -->
 			<xsd:element name="dTimPumpStart" type="witsml:timestamp" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
@@ -432,28 +360,28 @@
 			</xsd:element>
 			<xsd:element name="jobType" type="witsml:cementJobTypes" minOccurs="0" maxOccurs="1">
+				<!-- PROFILE: Added element jobType -->
 				<xsd:annotation>
 					<xsd:documentation>Job types (eg. Casing and liner, Cement squeeze, Cement plug).</xsd:documentation>
-					<!-- Missing: Added element jobType -->
 				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="casingStrDia" type="witsml:lengthMeasureInch" minOccurs="0" maxOccurs="1">
+				<!-- PROFILE: Added element casingStrDia -->
 				<xsd:annotation>
 					<xsd:documentation>Casing string diameter of the casing cement (in).</xsd:documentation>
-					<!-- Missing: Added element casingStrDia -->
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="comment" type="witsml:commentString" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>A comment for a cement job.</xsd:documentation>
-					<!-- Missing: Added element comment -->
-				</xsd:annotation>
-			</xsd:element>
-			<!-- Profile: Deleted element dTimDisplaceStart -->
-			<!-- Profile: Deleted element mdTop -->
-			<!-- Profile: Deleted element mdBottom -->
-			<!-- Profile: Deleted element volExcess -->
-			<!-- Profile: Deleted element flowrateDisplaceAv -->
-			<!-- Profile: Deleted element flowrateDisplaceMx -->
-			<!-- Profile: Deleted element presDisplace -->
+				</xsd:annotation>
+			</xsd:element>
+			<xsd:element name="comments" type="witsml:commentString" minOccurs="0" maxOccurs="1">
+				<!-- PROFILE: Added element comment -->
+				<xsd:annotation>
+					<xsd:documentation>Comments for a cement job.</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
+			<!-- PROFILE: Deleted element dTimDisplaceStart -->
+			<!-- PROFILE: Deleted element mdTop -->
+			<!-- PROFILE: Deleted element mdBottom -->
+			<!-- PROFILE: Deleted element volExcess -->
+			<!-- PROFILE: Deleted element flowrateDisplaceAv -->
+			<!-- PROFILE: Deleted element flowrateDisplaceMx -->
+			<!-- PROFILE: Deleted element presDisplace -->
 			<xsd:element name="volReturns" type="witsml:volumeMeasureCubicMetre" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
@@ -461,58 +389,62 @@
 				</xsd:annotation>
 			</xsd:element>
-			<!-- Profile: Deleted element eTimMudCirculation -->
-			<!-- Profile: Deleted element flowrateMudCirc -->
-			<!-- Profile: Deleted element presMudCirc -->
-			<!-- Profile: Deleted element flowrateEnd -->
-			<!-- Profile: Deleted element cementingFluid -->
-			<!-- Profile: Deleted element afterFlowAnn -->
-			<!-- Profile: Deleted element squeezeObj -->
-			<!-- Profile: Deleted element squeezeObtained -->
-			<!-- Profile: Deleted element mdString -->
-			<!-- Profile: Deleted element mdTool -->
-			<!-- Profile: Deleted element mdCoilTbg -->
-			<!-- Profile: Deleted element volCsgIn -->
-			<!-- Profile: Deleted element volCsgOut -->
-			<!-- Profile: Deleted element tailPipeUsed -->
-			<!-- Profile: Deleted element diaTailPipe -->
-			<!-- Profile: Deleted element tailPipePerf -->
-			<!-- Profile: Deleted element presTbgStart -->
-			<!-- Profile: Deleted element presTbgEnd -->
-			<!-- Profile: Deleted element presCsgStart -->
-			<!-- Profile: Deleted element presCsgEnd -->
-			<!-- Profile: Deleted element presBackPressure -->
-			<!-- Profile: Deleted element presCoilTbgStart -->
-			<!-- Profile: Deleted element presCoilTbgEnd -->
-			<!-- Profile: Deleted element presBreakDown -->
-			<!-- Profile: Deleted element flowrateBreakDown -->
-			<!-- Profile: Deleted element presSqueezeAv -->
-			<!-- Profile: Deleted element presSqueezeEnd -->
-			<!-- Profile: Deleted element presSqueezeHeld -->
-			<!-- Profile: Deleted element presSqueeze -->
-			<xsd:element name="eTimPresHeld" type="witsml:timestamp" minOccurs="0" maxOccurs="1">
+			<!-- PROFILE: Deleted element eTimMudCirculation -->
+			<!-- PROFILE: Deleted element flowrateMudCirc -->
+			<!-- PROFILE: Deleted element presMudCirc -->
+			<!-- PROFILE: Deleted element flowrateEnd -->
+			<xsd:element name="cementingFluid" type="witsml:cs_cementingFluid" minOccurs="0" maxOccurs="unbounded">
+				<xsd:annotation>
+					<xsd:documentation>Displaced Mud, washes and spacers, cement, displacement mud.</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
+			<!-- PROFILE: Deleted element afterFlowAnn -->
+			<!-- PROFILE: Deleted element squeezeObj -->
+			<!-- PROFILE: Deleted element squeezeObtained -->
+			<!-- PROFILE: Deleted element mdString -->
+			<!-- PROFILE: Deleted element mdTool -->
+			<!-- PROFILE: Deleted element mdCoilTbg -->
+			<!-- PROFILE: Deleted element volCsgIn -->
+			<!-- PROFILE: Deleted element volCsgOut -->
+			<!-- PROFILE: Deleted element tailPipeUsed -->
+			<!-- PROFILE: Deleted element diaTailPipe -->
+			<!-- PROFILE: Deleted element tailPipePerf -->
+			<!-- PROFILE: Deleted element presTbgStart -->
+			<!-- PROFILE: Deleted element presTbgEnd -->
+			<!-- PROFILE: Deleted element presCsgStart -->
+			<!-- PROFILE: Deleted element presCsgEnd -->
+			<!-- PROFILE: Deleted element presBackPressure -->
+			<!-- PROFILE: Deleted element presCoilTbgStart -->
+			<!-- PROFILE: Deleted element presCoilTbgEnd -->
+			<!-- PROFILE: Deleted element presBreakDown -->
+			<!-- PROFILE: Deleted element flowrateBreakDown -->
+			<!-- PROFILE: Deleted element presSqueezeAv -->
+			<!-- PROFILE: Deleted element presSqueezeEnd -->
+			<!-- PROFILE: Deleted element presSqueezeHeld -->
+			<!-- PROFILE: Deleted element presSqueeze -->
+			<xsd:element name="eTimPresHeld" type="witsml:timeMeasure" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
 					<xsd:documentation>Time pressure held.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<!-- Profile: Deleted element flowrateSqueezeAv -->
-			<!-- Profile: Deleted element flowrateSqueezeMx -->
-			<!-- Profile: Deleted element flowratePumpStart -->
-			<!-- Profile: Deleted element flowratePumpEnd -->
-			<!-- Profile: Deleted element pillBelowPlug -->
-			<!-- Profile: Deleted element plugCatcher -->
-			<!-- Profile: Deleted element mdCircOut -->
-			<!-- Profile: Deleted element volCircPrior -->
-			<!-- Profile: Deleted element typeOriginalMud -->
-			<!-- Profile: Deleted element wtMud -->
-			<!-- Profile: Deleted element visFunnelMud -->
-			<!-- Profile: Deleted element pvMud -->
-			<!-- Profile: Deleted element ypMud -->
-			<!-- Profile: Deleted element gel10Sec -->
-			<!-- Profile: Deleted element gel10Min -->
-			<!-- Profile: Deleted element tempBHCT -->
-			<!-- Profile: Deleted element tempBHST -->
-			<!-- Profile: Deleted element volExcessMethod -->
-			<!-- Profile: Deleted element mixMethod -->
-			<!-- Profile: Deleted element densMeasBy -->
+			<!-- PROFILE: Deleted element flowrateSqueezeAv -->
+			<!-- PROFILE: Deleted element flowrateSqueezeMx -->
+			<!-- PROFILE: Deleted element flowratePumpStart -->
+			<!-- PROFILE: Deleted element flowratePumpEnd -->
+			<!-- PROFILE: Deleted element pillBelowPlug -->
+			<!-- PROFILE: Deleted element plugCatcher -->
+			<!-- PROFILE: Deleted element mdCircOut -->
+			<!-- PROFILE: Deleted element volCircPrior -->
+			<!-- PROFILE: Deleted element typeOriginalMud -->
+			<!-- PROFILE: Deleted element wtMud -->
+			<!-- PROFILE: Deleted element visFunnelMud -->
+			<!-- PROFILE: Deleted element pvMud -->
+			<!-- PROFILE: Deleted element ypMud -->
+			<!-- PROFILE: Deleted element gel10Sec -->
+			<!-- PROFILE: Deleted element gel10Min -->
+			<!-- PROFILE: Deleted element tempBHCT -->
+			<!-- PROFILE: Deleted element tempBHST -->
+			<!-- PROFILE: Deleted element volExcessMethod -->
+			<!-- PROFILE: Deleted element mixMethod -->
+			<!-- PROFILE: Deleted element densMeasBy -->
 			<xsd:element name="annFlowAfter" type="witsml:logicalBoolean" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
@@ -530,5 +462,5 @@
 				</xsd:annotation>
 			</xsd:element>
-			<!-- Profile: Deleted element botPlugNumber -->
+			<!-- PROFILE: Deleted element botPlugNumber -->
 			<xsd:element name="plugBumped" type="witsml:logicalBoolean" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
@@ -536,14 +468,8 @@
 				</xsd:annotation>
 			</xsd:element>
-			<!-- Profile: Deleted element presPriorBump -->
+			<!-- PROFILE: Deleted element presPriorBump -->
 			<xsd:element name="presBump" type="witsml:pressureMeasure" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
 					<xsd:documentation>Pressure plug bumped.</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="floatFailed" type="witsml:logicalBoolean" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>Float Failed? Values are "true" (or "1") and "false" (or "0").</xsd:documentation>
-					<!-- Missing: Added element floatFailed -->
 				</xsd:annotation>
 			</xsd:element>
@@ -560,17 +486,11 @@
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="cementingFluid" type="witsml:cs_cementingFluid" minOccurs="0" maxOccurs="unbounded"
-				 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17831397">
-				<xsd:annotation>
-					<xsd:documentation>Information about a bit run.</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
-			<!-- Profile: Deleted element presHeld -->
-			<!-- Profile: Deleted element floatHeld -->
-			<!-- Profile: Deleted element volMudLost -->
-			<!-- Profile: Deleted element fluidDisplace -->
-			<!-- Profile: Deleted element densDisplaceFluid -->
-			<!-- Profile: Deleted element volDisplaceFluid -->
-			<!-- Profile: Deleted element extensionNameValue -->
+			<!-- PROFILE: Deleted element presHeld -->
+			<!-- PROFILE: Deleted element floatHeld -->
+			<!-- PROFILE: Deleted element volMudLost -->
+			<!-- PROFILE: Deleted element fluidDisplace -->
+			<!-- PROFILE: Deleted element densDisplaceFluid -->
+			<!-- PROFILE: Deleted element volDisplaceFluid -->
+			<!-- PROFILE: Deleted element extensionNameValue -->
 		</xsd:sequence>
 		<!-- Unused: Deleted element attgrp_uid -->
@@ -605,44 +525,32 @@
 		</xsd:annotation>
 		<xsd:sequence minOccurs="0">
-			<xsd:element name="dTimTest" type="witsml:timestamp" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>Date and time the test i taken.</xsd:documentation>
-					<!-- Missing: Added element dTimTest -->
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="mdLog" type="witsml:measuredDepthCoord " minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>Measured depth at logging time.</xsd:documentation>
-					<!-- Missing: Added element mdLog -->
-				</xsd:annotation>
-			</xsd:element>
 			<xsd:element name="typeFluid" type="witsml:fluidTypes" minOccurs="0" maxOccurs="1">
+				<!-- PROFILE: Changed type from witsml:str16 to witsml:fluidTypes for element typeFluid -->
 				<xsd:annotation>
 					<xsd:documentation>Fluid type: Mud, Wash, Spacer, Slurry.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<!-- Profile: Deleted element fluidIndex -->
-			<xsd:element name="descFluid" type="witsml:descriptionString" minOccurs="0" maxOccurs="1">
+			<!-- PROFILE: Deleted element fluidIndex -->
+			<xsd:element name="descFluid" type="witsml:shortDescriptionString" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
 					<xsd:documentation>Fluid description.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<!-- Profile: Deleted element purpose -->
-			<!-- Profile: Deleted element classSlurryDryBlend -->
-			<!-- Profile: Deleted element mdFluidTop -->
-			<!-- Profile: Deleted element mdFluidBottom -->
-			<!-- Profile: Deleted element sourceWater -->
-			<!-- Profile: Deleted element volWater -->
-			<!-- Profile: Deleted element volCement -->
-			<xsd:element name="ratioMixWater" type="witsml:specificVolumeMeasureUsGallonsPerSack94" minOccurs="0"
-				 maxOccurs="1">
+			<!-- PROFILE: Deleted element purpose -->
+			<!-- PROFILE: Deleted element classSlurryDryBlend -->
+			<!-- PROFILE: Deleted element mdFluidTop -->
+			<!-- PROFILE: Deleted element mdFluidBottom -->
+			<!-- PROFILE: Deleted element sourceWater -->
+			<!-- PROFILE: Deleted element volWater -->
+			<!-- PROFILE: Deleted element volCement -->
+			<xsd:element name="ratioMixWater" type="witsml:specificVolumeMeasure" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
 					<xsd:documentation>Mix Water Ratio.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<!-- Profile: Deleted element volFluid -->
-			<!-- Profile: Deleted element cementPumpSchedule -->
-			<!-- Profile: Deleted element excessPc -->
-			<!-- Profile: Deleted element volYield -->
+			<!-- PROFILE: Deleted element volFluid -->
+			<!-- PROFILE: Deleted element cementPumpSchedule -->
+			<!-- PROFILE: Deleted element excessPc -->
+			<!-- PROFILE: Deleted element volYield -->
 			<xsd:element name="density" type="witsml:densityMeasure" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
@@ -650,79 +558,76 @@
 				</xsd:annotation>
 			</xsd:element>
-			<!-- Profile: Deleted element solidVolumeFraction -->
+			<!-- PROFILE: Deleted element solidVolumeFraction -->
 			<xsd:element name="volPumped" type="witsml:volumeMeasureCubicMetre" minOccurs="0" maxOccurs="1">
+				<!-- PROFILE: Changed type from witsml:volumeMeasure to witsml:volumeMeasureCubicMetre for element volPumped -->
 				<xsd:annotation>
 					<xsd:documentation>Volume Pumped.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<!-- Profile: Deleted element volOther -->
-			<!-- Profile: Deleted element fluidRheologicalModel -->
-			<!-- Profile: Deleted element vis -->
-			<xsd:element name="pv" type="witsml:pressureMeasure" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>Fluid Viscosity (mPa.s).</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="yp" type="witsml:specificVolumeMeasureCubicFeetPer94PoundSack" minOccurs="0"
-				 maxOccurs="1">
+			<!-- PROFILE: Deleted element volOther -->
+			<!-- PROFILE: Deleted element fluidRheologicalModel -->
+			<!-- PROFILE: Deleted element vis -->
+			<xsd:element name="yp" type="witsml:pressureMeasure" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
 					<xsd:documentation>Yield point (Bingham and Herschel Bulkley models).</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<!-- Profile: Deleted element n -->
-			<!-- Profile: Deleted element k -->
-			<!-- Profile: Deleted element gel10SecReading -->
-			<!-- Profile: Deleted element gel10SecStrength -->
-			<!-- Profile: Deleted element gel1MinReading -->
-			<!-- Profile: Deleted element gel1MinStrength -->
-			<!-- Profile: Deleted element gel10MinReading -->
-			<!-- Profile: Deleted element gel10MinStrength -->
-			<!-- Profile: Deleted element typeBaseFluid -->
-			<!-- Profile: Deleted element densBaseFluid -->
-			<!-- Profile: Deleted element dryBlendName -->
-			<!-- Profile: Deleted element dryBlendDescription -->
-			<!-- Profile: Deleted element massDryBlend -->
-			<!-- Profile: Deleted element densDryBlend -->
-			<!-- Profile: Deleted element massSackDryBlend -->
-			<!-- Profile: Deleted element cementAdditive -->
-			<!-- Profile: Deleted element foamUsed -->
-			<!-- Profile: Deleted element typeGasFoam -->
-			<!-- Profile: Deleted element volGasFoam -->
-			<!-- Profile: Deleted element ratioConstGasMethodAv -->
-			<!-- Profile: Deleted element densConstGasMethod -->
-			<!-- Profile: Deleted element ratioConstGasMethodStart -->
-			<!-- Profile: Deleted element ratioConstGasMethodEnd -->
-			<!-- Profile: Deleted element densConstGasFoam -->
-			<xsd:element name="eTimThickening" type="witsml:timeMeasureHour" minOccurs="0" maxOccurs="1">
+			<!-- PROFILE: Deleted element n -->
+			<!-- PROFILE: Deleted element k -->
+			<!-- PROFILE: Deleted element gel10SecReading -->
+			<!-- PROFILE: Deleted element gel10SecStrength -->
+			<!-- PROFILE: Deleted element gel1MinReading -->
+			<!-- PROFILE: Deleted element gel1MinStrength -->
+			<!-- PROFILE: Deleted element gel10MinReading -->
+			<!-- PROFILE: Deleted element gel10MinStrength -->
+			<!-- PROFILE: Deleted element typeBaseFluid -->
+			<!-- PROFILE: Deleted element densBaseFluid -->
+			<!-- PROFILE: Deleted element dryBlendName -->
+			<!-- PROFILE: Deleted element dryBlendDescription -->
+			<!-- PROFILE: Deleted element massDryBlend -->
+			<!-- PROFILE: Deleted element densDryBlend -->
+			<!-- PROFILE: Deleted element massSackDryBlend -->
+			<!-- PROFILE: Deleted element cementAdditive -->
+			<!-- PROFILE: Deleted element foamUsed -->
+			<!-- PROFILE: Deleted element typeGasFoam -->
+			<!-- PROFILE: Deleted element volGasFoam -->
+			<!-- PROFILE: Deleted element ratioConstGasMethodAv -->
+			<!-- PROFILE: Deleted element densConstGasMethod -->
+			<!-- PROFILE: Deleted element ratioConstGasMethodStart -->
+			<!-- PROFILE: Deleted element ratioConstGasMethodEnd -->
+			<!-- PROFILE: Deleted element densConstGasFoam -->
+			<xsd:element name="eTimThickening" type="witsml:timeMeasure" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
 					<xsd:documentation>Test thickening time.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<!-- Profile: Deleted element tempThickening -->
-			<!-- Profile: Deleted element presTestThickening -->
-			<!-- Profile: Deleted element consTestThickening -->
-			<xsd:element name="pcFreeWater" type="witsml:volumePerVolumeMeasure" minOccurs="0" maxOccurs="1">
+			<!-- PROFILE: Deleted element tempThickening -->
+			<!-- PROFILE: Deleted element presTestThickening -->
+			<!-- PROFILE: Deleted element consTestThickening -->
+			<xsd:element name="pcFreeWater" type="witsml:volumePerVolumeMeasurePercent" minOccurs="0" maxOccurs="1">
+				<!-- PROFILE: Changed type from witsml:volumePerVolumeMeasure to witsml:volumePerVolumeMeasurePercent for element pcFreeWater -->
 				<xsd:annotation>
 					<xsd:documentation>Test free water na: = mL/250ML.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<!-- Profile: Deleted element tempFreeWater -->
-			<!-- Profile: Deleted element volTestFluidLoss -->
-			<!-- Profile: Deleted element tempFluidLoss -->
-			<!-- Profile: Deleted element presTestFluidLoss -->
-			<!-- Profile: Deleted element timeFluidLoss -->
-			<!-- Profile: Deleted element volAPIFluidLoss -->
-			<!-- Profile: Deleted element eTimComprStren1 -->
-			<!-- Profile: Deleted element eTimComprStren2 -->
-			<!-- Profile: Deleted element presComprStren1 -->
-			<!-- Profile: Deleted element presComprStren2 -->
-			<!-- Profile: Deleted element tempComprStren1 -->
-			<!-- Profile: Deleted element tempComprStren2 -->
-			<!-- Profile: Deleted element densAtPres -->
-			<!-- Profile: Deleted element volReserved -->
-			<!-- Profile: Deleted element volTotSlurry -->
-			<xsd:element name="comment" type="witsml:commentString" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>comments.</xsd:documentation>
+			<!-- PROFILE: Deleted element tempFreeWater -->
+			<!-- PROFILE: Deleted element volTestFluidLoss -->
+			<!-- PROFILE: Deleted element tempFluidLoss -->
+			<!-- PROFILE: Deleted element presTestFluidLoss -->
+			<!-- PROFILE: Deleted element timeFluidLoss -->
+			<!-- PROFILE: Deleted element volAPIFluidLoss -->
+			<!-- PROFILE: Deleted element eTimComprStren1 -->
+			<!-- PROFILE: Deleted element eTimComprStren2 -->
+			<!-- PROFILE: Deleted element presComprStren1 -->
+			<!-- PROFILE: Deleted element presComprStren2 -->
+			<!-- PROFILE: Deleted element tempComprStren1 -->
+			<!-- PROFILE: Deleted element tempComprStren2 -->
+			<!-- PROFILE: Deleted element densAtPres -->
+			<!-- PROFILE: Deleted element volReserved -->
+			<!-- PROFILE: Deleted element volTotSlurry -->
+			<xsd:element name="comments" type="witsml:commentString" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>Comments for cementing fluid.</xsd:documentation>
+					<!-- PROFILE: Added element comments -->
 				</xsd:annotation>
 			</xsd:element>
@@ -735,20 +640,20 @@
 		</xsd:annotation>
 		<xsd:restriction base="witsml:abstractTypeEnum">
-			<xsd:enumeration value="m">
+			<xsd:enumeration value="Mud">
 				<xsd:annotation>
 					<xsd:documentation>Mud</xsd:documentation>
 				</xsd:annotation>
 			</xsd:enumeration>
-			<xsd:enumeration value="w">
+			<xsd:enumeration value="Wash">
 				<xsd:annotation>
 					<xsd:documentation>Wash</xsd:documentation>
 				</xsd:annotation>
 			</xsd:enumeration>
-			<xsd:enumeration value="sp">
+			<xsd:enumeration value="Spacer">
 				<xsd:annotation>
 					<xsd:documentation>Spacer</xsd:documentation>
 				</xsd:annotation>
 			</xsd:enumeration>
-			<xsd:enumeration value="sl">
+			<xsd:enumeration value="Slurry">
 				<xsd:annotation>
 					<xsd:documentation>Slurry</xsd:documentation>
@@ -757,5 +662,4 @@
 		</xsd:restriction>
 	</xsd:simpleType>
-	<!-- END Added 07/02 - 2011 -->
 	<!--UNUSED: Deleted type cs_blockCurveInfo.-->
 	<!--UNUSED: Deleted type cs_blockInfo.-->
@@ -1768,31 +1672,39 @@
 		</xsd:annotation>
 		<xsd:sequence>
-			<xsd:element name="dTim" type="witsml:timestamp" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17644855">
+			<xsd:element name="reportNo" type="witsml:positiveCount" minOccurs="0" maxOccurs="1">
+			<!-- PROFILE: Added element reportNo -->
+				<xsd:annotation>
+					<xsd:documentation>Sequence number of daily drilling report.</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
+			<xsd:element name="dTim" type="witsml:timestamp" minOccurs="1" maxOccurs="1"
+         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17644855">
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element dTim.-->
-
 				<xsd:annotation>
 					<xsd:documentation>the date and time that for which the well status is reported.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="md" type="witsml:measuredDepthCoord" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17644930">
+			<xsd:element name="md" type="witsml:measuredDepthCoord" minOccurs="1" maxOccurs="1"
+         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17644930">
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element md.-->
-
 				<xsd:annotation>
 					<xsd:documentation>Wellbore measured depth at the end of the report period.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="tvd" type="witsml:wellVerticalDepthCoord" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17851070">
+			<xsd:element name="tvd" type="witsml:wellVerticalDepthCoord" minOccurs="0" maxOccurs="1"
+         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17851070">
 				<xsd:annotation>
 					<xsd:documentation>Wellbore true vertical depth at the end of the report.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="mdPlugTop" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17659110">
+			<xsd:element name="mdPlugTop" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1"
+         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17659110">
 				<xsd:annotation>
 					<xsd:documentation>The measured plug back depth.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="diaHole" type="witsml:lengthMeasureInch" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17644585">
+			<xsd:element name="diaHole" type="witsml:lengthMeasureInch" minOccurs="0" maxOccurs="1"
+         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17644585">
 				<!--PROFILE: Changed type from witsml:lengthMeasure to witsml:lengthMeasureInch for element diaHole.-->
-
 				<xsd:annotation>
 					<xsd:documentation>Hole nominal inside diameter.</xsd:documentation>
